lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master 9608d303: Fix defect introduced 20220317T1924


From: Greg Chicares
Subject: [lmi-commits] [lmi] master 9608d303: Fix defect introduced 20220317T1924Z: remotes require a repository
Date: Tue, 17 May 2022 15:13:19 -0400 (EDT)

branch: master
commit 9608d30376882e156924d6c2412d50004d5b7115
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Fix defect introduced 20220317T1924Z: remotes require a repository
    
    Remotes were added in commit 9dbdef96ec8a5 of 20220317T1924Z, but in
    a global context outside of any git repository.
    
    See:
      https://lists.nongnu.org/archive/html/lmi/2022-05/msg00020.html
    
    This resolves the problem reported in commit 30cc3a198f4c6 . The
      || echo "Oops."
    idiom used elsewhere seems appropriate here: someday, those remotes
    may not exist.
---
 lmi_setup_25.sh | 2 --
 lmi_setup_43.sh | 5 +++++
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/lmi_setup_25.sh b/lmi_setup_25.sh
index 2b1691cf..0ca97c89 100755
--- a/lmi_setup_25.sh
+++ b/lmi_setup_25.sh
@@ -68,8 +68,6 @@ git config --global push.recurseSubmodules check
 if [ "greg" = "$(whoami)" ]; then
 git config --global user.email gchicares@sbcglobal.net
 git config --global user.name "Gregory W. Chicares"
-git remote add xanadu     https://github.com/vadz/lmi.git   || echo "Huh?"
-git remote add shangri-la https://github.com/thesiv/lmi.git || echo "Huh?"
 fi
 
 # Avoid "fatal: Invalid cleanup mode scissors" with ancient git.
diff --git a/lmi_setup_43.sh b/lmi_setup_43.sh
index af71afc3..8d0fd0f1 100755
--- a/lmi_setup_43.sh
+++ b/lmi_setup_43.sh
@@ -124,6 +124,11 @@ git clone git://git.savannah.nongnu.org/lmi.git \
   || git clone https://git.savannah.nongnu.org/r/lmi.git \
   || git clone https://github.com/let-me-illustrate/lmi.git
 
+if [ "greg" = "$(whoami)" ]; then
+git remote add xanadu     https://github.com/vadz/lmi.git   || echo "Oops."
+git remote add shangri-la https://github.com/thesiv/lmi.git || echo "Oops."
+fi
+
 cd lmi || { printf 'failed: cd\n'; exit 3; }
 find . -path ./.git -prune -o -type f -print0 \
   | xargs --null --max-procs="$(nproc)" --replace='{}' touch 
'--reference=/opt/lmi/src/lmi/{}' '{}'



reply via email to

[Prev in Thread] Current Thread [Next in Thread]